SystemOrganization addCategory: #'TP BichOS-Test'!

Object subclass: #TestExtraccion
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

TestCase subclass: #TestHormigas
	instanceVariableNames: 'juanita'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:05'!
setUp

juanita:= Hormiga new.
! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:06'!
testCuantoAlimentoLlevaJuanitaAlNacer

self assert: (juanita pesollevado )equals: 0.! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:15'!
testJuanitaAlHornoCon5mg

juanita pesollevado: 5.

self deny: (juanita estaAlLimite )! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:16'!
testJuanitaAlHornoCon9mg

juanita pesollevado: 9.

self assert: (juanita estaAlLimite )! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:14'!
testJuanitaAlHornoSinLlevarCarga

juanita pesollevado: 0.

self deny: (juanita estaAlLimite  )! !

TestCase subclass: #TestHormiguero
	instanceVariableNames: 'casa juana pepa lucas juancha puntoHormiguero punto0 punto1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 16:16'!
setUp

casa:= Hormiguero new.
puntoHormiguero:= Punto new.
puntoHormiguero latitud:100.
puntoHormiguero longitud: 100.

casa posicion: puntoHormiguero.
juana:= Hormiga new.
pepa:= Hormiga new.
lucas:= Hormiga new.
juancha:= Hormiga new.

punto0:= Punto new.
punto0 latitud:0.
punto0 longitud:0.

punto1:= Punto new.
punto1 latitud:0.
punto1 longitud:20.

juana posicion: punto0.
pepa posicion: punto0.
lucas posicion: punto0.
juancha posicion: punto0.

! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 16:11'!
testAlimentoEnDeposito

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.

juana pesollevado: 8.
pepa pesollevado: 9.
lucas pesollevado:2.

juana llevarAlimentoA: casa.
lucas llevarAlimentoA: casa.

self assert: (casa deposito  ) equals: 10.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 16:11'!
testAlimentoEnTransito

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.

juana pesollevado: 8.
pepa pesollevado: 9.
lucas pesollevado:2.

juana llevarAlimentoA: casa.
lucas llevarAlimentoA: casa.

self assert: (casa alimentoRecolectado  ) equals: 9.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 16:10'!
testAlimentoTotalEnHormiguero

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.

juana pesollevado: 8.
pepa pesollevado: 9.
lucas pesollevado:2.

juana llevarAlimentoA: casa.
lucas llevarAlimentoA: casa.

self assert: (casa alimentoTotal ) equals: 19.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 16:01'!
testCantidadHormigasParaHormigueroConVariasHormigas


casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: lucas.
casa agregarHormiga: juancha.


self assert: (casa cantidadDeHormigas ) equals: 4.! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 16:14'!
testCantidadHormigasParaHormigueroVacio

self assert: (casa cantidadDeHormigas ) equals: 0.! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 16:07'!
testReclamarAlimentoDeLasHormigas

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.

juana pesollevado: 8.
pepa pesollevado: 9.

casa reclamarAlimento.

self assert: (casa deposito) equals: 17.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 16:26'!
testRecorridoTotalHormigas

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.


casa reclamarAlimento.

self assert: (casa recorridoTotalHormigas ) equals:  565.685424949238.

self assert: ((punto0 distanciaA: puntoHormiguero )*4) equals: 565.685424949238.


! !

TestCase subclass: #TestRecorridos
	instanceVariableNames: 'punto1 punto2 punto3 punto0 juanita'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'Federico 9/16/2015 17:56'!
setUp
juanita:= Hormiga new.

punto0:= Punto new.
punto0 latitud:0.
punto0 longitud:0.

punto1:= Punto new.
punto1 latitud: 0.
punto1 longitud: 30.

punto2:= Punto new.
punto2 latitud: 10.
punto2 longitud: 30.

punto3:= Punto new.
punto3 latitud: 4.
punto3 longitud: 38.

juanita posicion: punto0.



! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'Federico 9/16/2015 17:57'!
testDistanciaPromedioDeJuanitaRecorriendo3Puntos

juanita irA: punto1.
juanita irA: punto2.
juanita irA: punto3.


self assert: (juanita posicion ) equals: punto3.

self assert: (juanita distanciaRecorridaPromedio  )equals: 50/3.










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'Federico 9/16/2015 17:57'!
testDistanciaRecorridaPorJuanita

juanita irA: punto1.
juanita irA: punto2.
juanita irA: punto3.


self assert: (juanita distanciaRecorrida )equals: 50.










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 14:42'!
testDistanciaRecorridaPorJuanitaUltimos2Viajes

juanita posicionDos: punto0.
juanita irA:punto1.
juanita irA: punto2.
juanita irA: punto3.
juanita irA: punto1.

self assert: (juanita distanciaRecorridaUltimosNPuntos: 2 )equals: 47.15421825908476.

self assert: ((punto0 distanciaA: punto3)+ (punto3 distanciaA: punto1)) equals: 47.15421825908476.


! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'Federico 9/16/2015 18:15'!
testJuanitaRecorrio3Puntos

juanita irA: punto1.
juanita irA: punto2.
juanita irA: punto3.


self assert: (juanita posicion ) equals: punto3.

self assert: (juanita puntosRecorridos )equals: [punto1, punto2, punto3.]










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 14:44'!
testPromedioDistanciaRecorridaUltimos2Puntos

juanita posicionDos: punto0.
juanita irA:punto1.
juanita irA: punto2.
juanita irA: punto3.
juanita irA: punto1.

self assert: (juanita distanciaRecorridaPromedioUltimosNPuntos:2 )equals: 23.57710912954238.

self assert: (((punto0 distanciaA: punto3)+ (punto3 distanciaA: punto1))/2) equals: 23.57710912954238.


! !
